curl --request GET \
--url https://api.eflow.team/v1/networks/billings/affiliates/invoices/{invoiceId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/billings/affiliates/invoices/{invoiceId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/billings/affiliates/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_affiliate_invoice_id": 123,
"network_id": 123,
"network_affiliate_id": 123,
"status": "paid",
"start_time": "<string>",
"end_time": "<string>",
"timezone_id": 123,
"balance": 123,
"currency_id": "<string>",
"payment_terms": 123,
"is_hidden_affiliate": true,
"public_notes": "<string>",
"internal_notes": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"affiliate": {},
"details": [
{
"network_affiliate_invoice_detail_id": 123,
"network_affiliate_invoice_id": 123,
"network_offer_id": 123,
"network_offer_name": "<string>",
"amount": 123,
"invoice_currency_amount": 123,
"currency_id": "<string>",
"notes": "<string>",
"quantity": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"referral_history_id": 123,
"type": "<string>"
}
],
"payments": [
{
"network_affiliate_payment_id": 123,
"network_id": 123,
"network_affiliate_invoice_id": 123,
"status": "<string>",
"payment_type": "<string>",
"notes": "<string>",
"confirmation_code": "<string>",
"amount": 123,
"currency": "<string>",
"unix_timestamp": 1734455015,
"tax_id": "<string>",
"is_auto_generated": true,
"debug_info": "<string>",
"relationship": {
"employee": {}
},
"payee_original_amount": 123,
"payee_fee_amount": 123,
"payee_currency": "<string>",
"time_approved": 1734455015,
"time_completed": 1734455015
}
]
},
"details": [
{
"network_affiliate_invoice_detail_id": 123,
"network_affiliate_invoice_id": 123,
"network_offer_id": 123,
"network_offer_name": "<string>",
"amount": 123,
"invoice_currency_amount": 123,
"currency_id": "<string>",
"notes": "<string>",
"quantity": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"referral_history_id": 123,
"type": "<string>"
}
],
"extra_periods": [
{}
]
}Get Partner Invoice
relationship query parameter to include line items and other related data.Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The unique invoice ID.
Query Parameters
Include additional related data in the response. The details and payments relationships are always returned. Use affiliate to add the affiliate object, or all to include everything.
affiliate, all Response
Unique invoice ID.
Network ID.
The ID of the partner that was invoiced.
Invoice status.
paid, unpaid, deleted Invoice period start date.
Invoice period end date.
Timezone ID for the invoice period.
Outstanding balance.
Currency code (e.g. USD).
Number of days for the affiliate payment term (e.g. 20 for NET 20).
Whether the invoice is visible to the partner or not.
Notes visible to both network employees and the invoiced partner.
Notes visible to network employees but not the invoiced partner.
Unix timestamp of creation.
1734455015
Unix timestamp of last update.
1734455015
Related data. The details and payments keys are always included. The affiliate key is included when relationship=affiliate or relationship=all is passed.
Show child attributes
Show child attributes
Invoice line items (root-level, nullable).
Show child attributes
Show child attributes
Additional billing periods associated with this invoice.
Was this page helpful?
